/*******************
 * defs.hh - global definitions
 * Copyright (C) 2000 Christoph Groth
 *
 * This file is part of xhalma.  You are allowed to modify and/or redistribute
 * it under the terms of the GNU General Public License.  You should have
 * received a copy named COPYING along with this program, if not you can find
 * it at http://www.gnu.org/copyleft/gpl.html
 ******************/

// this file should be included as the first non-system header in all cc-files

#ifndef DEFS_H
#define DEFS_H

// if this macro is defined, no assertions will be tested
#define NDEBUG

// make STL assertions also dependant on NDEBUG
#ifndef NDEBUG
#define __STL_ASSERTIONS
#endif

// if this macro is defined, bison will output debugging info
//#define YYDEBUG 1 // bison

#define YYERROR_VERBOSE

#include <cassert>
#include <cstddef>
#include <cstdlib>
#include <stdexcept>
#include <memory>

template <class T>
inline void set_to_min(T &__a, const T &__b) {
    if (__b < __a) __a = __b;
}

template <class T>
inline void set_to_max(T &__a, const T &__b) {
    if (__a < __b) __a = __b;
}

#endif // DEFS_H
