/*******************
 * main.cc - main driver
 * Copyright (C) 2000 Christoph Groth
 *
 * This file is part of xhalma.  You are allowed to modify and/or redistribute
 * it under the terms of the GNU General Public License.  You should have
 * received a copy named COPYING along with this program, if not you can find
 * it at http://www.gnu.org/copyleft/gpl.html
 ******************/

#include <ctime>
#include <qapplication.h>
#include "defs.hh"
#include "main_wnd.hh"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    int ret;
    try {
	srand(time(0));

	// init main widget
	Main_wnd w(0, "main window");
	w.resize(630, 400);
	w.setCaption("xhalma");
	a.setMainWidget(&w);
	w.show();

	ret = a.exec();
    }
    catch (const exception &e) {
	cerr << "panic: " << e.what() << endl;
	ret = EXIT_FAILURE;
    }
    return ret;
}
