/*******************
 * vec.hh - very simple vector type
 * Copyright (C) 2000 Christoph Groth
 *
 * This file is part of xhalma.  You are allowed to modify and/or redistribute
 * it under the terms of the GNU General Public License.  You should have
 * received a copy named COPYING along with this program, if not you can find
 * it at http://www.gnu.org/copyleft/gpl.html
 ******************/

#ifndef VEC_HH
#define VEC_HH

template <class T>
struct Vec {
    Vec() { }
    Vec(const T _x, const T _y) : x(_x), y(_y) { }
    T x, y;
};

template <class T>
bool operator==(const Vec<T> &a, const Vec<T> &b)
{
    return a.x == b.x && a.y == b.y;
}

typedef Vec<int> Veci;

#endif /* VEC_HH */
